HomeREST APIFeed

Feed

Reference for the feed endpoints of the Interact REST API.

Note: All endpoints require authentication and an X-Tenant header. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.

Endpoints on this page

GET /api/feed

List feed.

Parameters

Name In Type Required Description
q query string No
offset query integer (int32) No
limit query integer (int32) No
entityTypes query string No
entityId query integer (int32) No
onlyFollowed query boolean No
hashtags query string No
topics query string No
excludedTypes query string No
includePinned query boolean No
order query string No Allowed values: Desc, Asc
sortOrder query string No Allowed values: Recent, Popular, Relevant, Replies, Reactions
feedOrigin query string No Allowed values: Unknown, Feed, Profile, TimelineWidget, FeedWidget
personId query integer (int32) No

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "Page": {
    "Items": [
      {
        "IsEdited": true,
        "ApprovalStatus": "ApprovalNotRequired",
        "RejectionReason": "string",
        "PostAt": "2024-01-01T00:00:00Z",
        "PopularityScores": {
          "TrendingScore": 0,
          "PostEngagementScore": 0,
          "AuthorScore": 0,
          "AuthorInfluenceScore": 0,
          "CombinedScore": 0
        },
        "Score": 0,
        "PinAt": {
          "Start": "2024-01-01T00:00:00Z",
          "End": "2024-01-01T00:00:00Z"
        },
        "Id": 0,
        "Entity": {
          "Type": "string",
          "TypeId": 0
        },
        "IsPrivate": true,
        "ParentId": 0,
        "IsPinned": true,
        "DateTimeOccurred": "2024-01-01T00:00:00Z",
        "Stats": {
          "IsLikedByMe": true,
          "MyReaction": 0,
          "Likes": {
            "Count": 0,
            "PreviewItems": [
              {}
            ]
          },
          "Comments": {
            "Count": 0,
            "PreviewItems": [
              {}
            ]
          },
          "Reactions": [
            {
              "ReactionTypeId": 0,
              "Actor": {}
            }
          ]
        },
        "Topics": [
          {
            "Id": 0,
            "Name": "string"
          }
        ],
        "Notification": {
          "Text": "string",
          "Html": "string"
        },
        "Action": {
          "Verb": "string",
          "Type": "string",
          "TypeId": 0,
          "Text": "string",
          "Html": "string",
          "SubType": "string"
        },
        "Actor": {
          "Id": 0,
          "AssetId": 0,
          "Title": "string",
          "Link": "string"
        },
        "Recipient": {
          "Id": 0,
          "AssetId": 0,
          "Title": "string",
          "Link": "string",
          "TypeId": 0,
          "Type": "string"
        },
        "Location": {
          "Id": 0,
          "Title": "string",
          "Type": "string",
          "Link": "string"
        },
        "SecondaryLocation": {
          "Id": 0,
          "Title": "string",
          "Type": "string",
          "Link": "string"
        },
        "Translation": {
          "OfferTranslation": true,
          "TargetLanguageCode": "string",
          "IsTargetLanguageRtl": true,
          "SourceLanguageCode": "string",
          "IsSourceLanguageRtl": true
        },
        "Files": [
          {
            "AttachmentId": 0,
            "FileGuid": "string",
            "Path": "string",
            "Title": "string",
            "Size": 0,
            "Extension": "string",
            "SortOrder": 0
          }
        ],
        "TargetMetadata": "string",
        "SectionId": 0,
        "TopLevelSectionId": 0,
        "TopLevelSectionType": "string",
        "TopLevelSectionName": "string",
        "ImpressionsCount": 0,
        "IsPublishedAsOrganisation": true,
        "AdditionalData": {},
        "SupportedActions": {
          "Approve": true,
          "Comment": true,
          "Copy": true,
          "Delete": true,
          "Edit": true,
          "Like": true,
          "Pin": true,
          "React": true,
          "PostSchedule": true,
          "ViewSignalInsights": true,
          "EditWithReason": true
        },
        "PermittedActions": {
          "Approve": true,
          "Comment": true,
          "Copy": true,
          "Delete": true,
          "Edit": true,
          "Like": true,
          "Pin": true,
          "React": true,
          "PostSchedule": true,
          "ViewSignalInsights": true,
          "EditWithReason": true
        }
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalCommentsAndReplies": 0,
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "StatusCode": "Continue",
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
Pageobject
StatusCodestring
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/feed/actiontypes

List action types.

Responses

Status Body
200 See below
500

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "Id": "Person",
        "Name": "string",
        "Description": "string"
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string

GET /api/feed/my-posts

List my posts.

Parameters

Name In Type Required Description
q query string No
offset query integer (int32) No
limit query integer (int32) No
entityTypes query string No
entityId query integer (int32) No
hashtags query string No
topics query string No
includePinned query boolean No
order query string No Allowed values: Desc, Asc

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "IsEdited": true,
        "ApprovalStatus": "ApprovalNotRequired",
        "RejectionReason": "string",
        "PostAt": "2024-01-01T00:00:00Z",
        "PopularityScores": {
          "TrendingScore": 0,
          "PostEngagementScore": 0,
          "AuthorScore": 0,
          "AuthorInfluenceScore": 0,
          "CombinedScore": 0
        },
        "Score": 0,
        "PinAt": {
          "Start": "2024-01-01T00:00:00Z",
          "End": "2024-01-01T00:00:00Z"
        },
        "Id": 0,
        "Entity": {
          "Type": "string",
          "TypeId": 0
        },
        "IsPrivate": true,
        "ParentId": 0,
        "IsPinned": true,
        "DateTimeOccurred": "2024-01-01T00:00:00Z",
        "Stats": {
          "IsLikedByMe": true,
          "MyReaction": 0,
          "Likes": {
            "Count": 0,
            "PreviewItems": [
              {}
            ]
          },
          "Comments": {
            "Count": 0,
            "PreviewItems": [
              {}
            ]
          },
          "Reactions": [
            {
              "ReactionTypeId": 0,
              "Actor": {}
            }
          ]
        },
        "Topics": [
          {
            "Id": 0,
            "Name": "string"
          }
        ],
        "Notification": {
          "Text": "string",
          "Html": "string"
        },
        "Action": {
          "Verb": "string",
          "Type": "string",
          "TypeId": 0,
          "Text": "string",
          "Html": "string",
          "SubType": "string"
        },
        "Actor": {
          "Id": 0,
          "AssetId": 0,
          "Title": "string",
          "Link": "string"
        },
        "Recipient": {
          "Id": 0,
          "AssetId": 0,
          "Title": "string",
          "Link": "string",
          "TypeId": 0,
          "Type": "string"
        },
        "Location": {
          "Id": 0,
          "Title": "string",
          "Type": "string",
          "Link": "string"
        },
        "SecondaryLocation": {
          "Id": 0,
          "Title": "string",
          "Type": "string",
          "Link": "string"
        },
        "Translation": {
          "OfferTranslation": true,
          "TargetLanguageCode": "string",
          "IsTargetLanguageRtl": true,
          "SourceLanguageCode": "string",
          "IsSourceLanguageRtl": true
        },
        "Files": [
          {
            "AttachmentId": 0,
            "FileGuid": "string",
            "Path": "string",
            "Title": "string",
            "Size": 0,
            "Extension": "string",
            "SortOrder": 0
          }
        ],
        "TargetMetadata": "string",
        "SectionId": 0,
        "TopLevelSectionId": 0,
        "TopLevelSectionType": "string",
        "TopLevelSectionName": "string",
        "ImpressionsCount": 0,
        "IsPublishedAsOrganisation": true,
        "AdditionalData": {},
        "SupportedActions": {
          "Approve": true,
          "Comment": true,
          "Copy": true,
          "Delete": true,
          "Edit": true,
          "Like": true,
          "Pin": true,
          "React": true,
          "PostSchedule": true,
          "ViewSignalInsights": true,
          "EditWithReason": true
        },
        "PermittedActions": {
          "Approve": true,
          "Comment": true,
          "Copy": true,
          "Delete": true,
          "Edit": true,
          "Like": true,
          "Pin": true,
          "React": true,
          "PostSchedule": true,
          "ViewSignalInsights": true,
          "EditWithReason": true
        }
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string

GET /api/feed/{id}

Get a feed by ID.

Parameters

Name In Type Required Description
id path integer (int32) Yes

Responses

Status Body
200 See below
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "IsEdited": true,
    "ApprovalStatus": "ApprovalNotRequired",
    "RejectionReason": "string",
    "PostAt": "2024-01-01T00:00:00Z",
    "PopularityScores": {
      "TrendingScore": 0,
      "PostEngagementScore": 0,
      "AuthorScore": 0,
      "AuthorInfluenceScore": 0,
      "CombinedScore": 0
    },
    "Score": 0,
    "PinAt": {
      "Start": "2024-01-01T00:00:00Z",
      "End": "2024-01-01T00:00:00Z"
    },
    "Id": 0,
    "Entity": {
      "Type": "string",
      "TypeId": 0
    },
    "IsPrivate": true,
    "ParentId": 0,
    "IsPinned": true,
    "DateTimeOccurred": "2024-01-01T00:00:00Z",
    "Stats": {
      "IsLikedByMe": true,
      "MyReaction": 0,
      "Likes": {
        "Count": 0,
        "PreviewItems": [
          {
            "FeedLikeAdditionalData": {},
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        ]
      },
      "Comments": {
        "Count": 0,
        "PreviewItems": [
          {
            "Id": 0,
            "DateTimeOccurred": "2024-01-01T00:00:00Z",
            "Data": "string",
            "Person": {},
            "Translation": {},
            "LikeCount": 0,
            "CanDelete": true,
            "CanLike": true,
            "IsLikedByMe": true,
            "Files": [
              {}
            ],
            "FeedCommentAdditionalData": {},
            "MyReaction": 0,
            "Reactions": [
              {}
            ],
            "SupportedActions": {},
            "PermittedActions": {},
            "IsEdited": true
          }
        ]
      },
      "Reactions": [
        {
          "ReactionTypeId": 0,
          "Actor": {
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        }
      ]
    },
    "Topics": [
      {
        "Id": 0,
        "Name": "string"
      }
    ],
    "Notification": {
      "Text": "string",
      "Html": "string"
    },
    "Action": {
      "Verb": "string",
      "Type": "string",
      "TypeId": 0,
      "Text": "string",
      "Html": "string",
      "SubType": "string"
    },
    "Actor": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string"
    },
    "Recipient": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string",
      "TypeId": 0,
      "Type": "string"
    },
    "Location": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "SecondaryLocation": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "Translation": {
      "OfferTranslation": true,
      "TargetLanguageCode": "string",
      "IsTargetLanguageRtl": true,
      "SourceLanguageCode": "string",
      "IsSourceLanguageRtl": true
    },
    "Files": [
      {
        "AttachmentId": 0,
        "FileGuid": "string",
        "Path": "string",
        "Title": "string",
        "Size": 0,
        "Extension": "string",
        "SortOrder": 0
      }
    ],
    "TargetMetadata": "string",
    "SectionId": 0,
    "TopLevelSectionId": 0,
    "TopLevelSectionType": "string",
    "TopLevelSectionName": "string",
    "ImpressionsCount": 0,
    "IsPublishedAsOrganisation": true,
    "AdditionalData": {},
    "SupportedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    },
    "PermittedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

GET /api/feed/{id}/replies

List replies.

Parameters

Name In Type Required Description
id path integer (int32) Yes
offset query integer (int32) No
limit query integer (int32) No
order query string No Allowed values: Desc, Asc
sortOrder query string No Allowed values: Recent, Reactions

Responses

Status Body
200 See below
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "IsEdited": true,
    "ApprovalStatus": "ApprovalNotRequired",
    "RejectionReason": "string",
    "PostAt": "2024-01-01T00:00:00Z",
    "PopularityScores": {
      "TrendingScore": 0,
      "PostEngagementScore": 0,
      "AuthorScore": 0,
      "AuthorInfluenceScore": 0,
      "CombinedScore": 0
    },
    "Score": 0,
    "PinAt": {
      "Start": "2024-01-01T00:00:00Z",
      "End": "2024-01-01T00:00:00Z"
    },
    "Id": 0,
    "Entity": {
      "Type": "string",
      "TypeId": 0
    },
    "IsPrivate": true,
    "ParentId": 0,
    "IsPinned": true,
    "DateTimeOccurred": "2024-01-01T00:00:00Z",
    "Stats": {
      "IsLikedByMe": true,
      "MyReaction": 0,
      "Likes": {
        "Count": 0,
        "PreviewItems": [
          {
            "FeedLikeAdditionalData": {},
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        ]
      },
      "Comments": {
        "Count": 0,
        "PreviewItems": [
          {
            "Id": 0,
            "DateTimeOccurred": "2024-01-01T00:00:00Z",
            "Data": "string",
            "Person": {},
            "Translation": {},
            "LikeCount": 0,
            "CanDelete": true,
            "CanLike": true,
            "IsLikedByMe": true,
            "Files": [
              {}
            ],
            "FeedCommentAdditionalData": {},
            "MyReaction": 0,
            "Reactions": [
              {}
            ],
            "SupportedActions": {},
            "PermittedActions": {},
            "IsEdited": true
          }
        ]
      },
      "Reactions": [
        {
          "ReactionTypeId": 0,
          "Actor": {
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        }
      ]
    },
    "Topics": [
      {
        "Id": 0,
        "Name": "string"
      }
    ],
    "Notification": {
      "Text": "string",
      "Html": "string"
    },
    "Action": {
      "Verb": "string",
      "Type": "string",
      "TypeId": 0,
      "Text": "string",
      "Html": "string",
      "SubType": "string"
    },
    "Actor": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string"
    },
    "Recipient": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string",
      "TypeId": 0,
      "Type": "string"
    },
    "Location": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "SecondaryLocation": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "Translation": {
      "OfferTranslation": true,
      "TargetLanguageCode": "string",
      "IsTargetLanguageRtl": true,
      "SourceLanguageCode": "string",
      "IsSourceLanguageRtl": true
    },
    "Files": [
      {
        "AttachmentId": 0,
        "FileGuid": "string",
        "Path": "string",
        "Title": "string",
        "Size": 0,
        "Extension": "string",
        "SortOrder": 0
      }
    ],
    "TargetMetadata": "string",
    "SectionId": 0,
    "TopLevelSectionId": 0,
    "TopLevelSectionType": "string",
    "TopLevelSectionName": "string",
    "ImpressionsCount": 0,
    "IsPublishedAsOrganisation": true,
    "AdditionalData": {},
    "SupportedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    },
    "PermittedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

GET /api/feed/{personId}/recent-activity

List recent activities.

Parameters

Name In Type Required Description
personId path integer (int32) Yes
offset query integer (int32) No
limit query integer (int32) No

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "IsEdited": true,
        "ApprovalStatus": "ApprovalNotRequired",
        "RejectionReason": "string",
        "PostAt": "2024-01-01T00:00:00Z",
        "PopularityScores": {
          "TrendingScore": 0,
          "PostEngagementScore": 0,
          "AuthorScore": 0,
          "AuthorInfluenceScore": 0,
          "CombinedScore": 0
        },
        "Score": 0,
        "PinAt": {
          "Start": "2024-01-01T00:00:00Z",
          "End": "2024-01-01T00:00:00Z"
        },
        "Id": 0,
        "Entity": {
          "Type": "string",
          "TypeId": 0
        },
        "IsPrivate": true,
        "ParentId": 0,
        "IsPinned": true,
        "DateTimeOccurred": "2024-01-01T00:00:00Z",
        "Stats": {
          "IsLikedByMe": true,
          "MyReaction": 0,
          "Likes": {
            "Count": 0,
            "PreviewItems": [
              {}
            ]
          },
          "Comments": {
            "Count": 0,
            "PreviewItems": [
              {}
            ]
          },
          "Reactions": [
            {
              "ReactionTypeId": 0,
              "Actor": {}
            }
          ]
        },
        "Topics": [
          {
            "Id": 0,
            "Name": "string"
          }
        ],
        "Notification": {
          "Text": "string",
          "Html": "string"
        },
        "Action": {
          "Verb": "string",
          "Type": "string",
          "TypeId": 0,
          "Text": "string",
          "Html": "string",
          "SubType": "string"
        },
        "Actor": {
          "Id": 0,
          "AssetId": 0,
          "Title": "string",
          "Link": "string"
        },
        "Recipient": {
          "Id": 0,
          "AssetId": 0,
          "Title": "string",
          "Link": "string",
          "TypeId": 0,
          "Type": "string"
        },
        "Location": {
          "Id": 0,
          "Title": "string",
          "Type": "string",
          "Link": "string"
        },
        "SecondaryLocation": {
          "Id": 0,
          "Title": "string",
          "Type": "string",
          "Link": "string"
        },
        "Translation": {
          "OfferTranslation": true,
          "TargetLanguageCode": "string",
          "IsTargetLanguageRtl": true,
          "SourceLanguageCode": "string",
          "IsSourceLanguageRtl": true
        },
        "Files": [
          {
            "AttachmentId": 0,
            "FileGuid": "string",
            "Path": "string",
            "Title": "string",
            "Size": 0,
            "Extension": "string",
            "SortOrder": 0
          }
        ],
        "TargetMetadata": "string",
        "SectionId": 0,
        "TopLevelSectionId": 0,
        "TopLevelSectionType": "string",
        "TopLevelSectionName": "string",
        "ImpressionsCount": 0,
        "IsPublishedAsOrganisation": true,
        "AdditionalData": {},
        "SupportedActions": {
          "Approve": true,
          "Comment": true,
          "Copy": true,
          "Delete": true,
          "Edit": true,
          "Like": true,
          "Pin": true,
          "React": true,
          "PostSchedule": true,
          "ViewSignalInsights": true,
          "EditWithReason": true
        },
        "PermittedActions": {
          "Approve": true,
          "Comment": true,
          "Copy": true,
          "Delete": true,
          "Edit": true,
          "Like": true,
          "Pin": true,
          "React": true,
          "PostSchedule": true,
          "ViewSignalInsights": true,
          "EditWithReason": true
        }
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string

POST /api/feed

Create a feed.

Request body

{
  "PostAt": "2024-01-01T00:00:00Z",
  "FeedSortOrder": "Recent",
  "FeedPosition": 0,
  "FeedScore": 0,
  "PinAt": {
    "Start": "2024-01-01T00:00:00Z",
    "End": "2024-01-01T00:00:00Z"
  },
  "EntityTypeId": "Global",
  "ActionId": "Person",
  "Text": "string",
  "AttachmentIds": [
    0
  ],
  "OrderedAttachmentIds": [
    {
      "AttachmentId": 0,
      "isTemp": true
    }
  ],
  "ParentId": 0,
  "RecipientId": 0,
  "IsPinned": true,
  "IsPrivate": true,
  "Topics": [
    "string"
  ],
  "LocalTimestamp": "2024-01-01T00:00:00Z",
  "Origin": "Unknown",
  "Platform": "Unknown",
  "AdditionalData": {}
}
FieldType
PostAtstring (date-time)
FeedSortOrderstring
FeedPositioninteger (int32)
FeedScorenumber (double)
PinAtobject
EntityTypeIdstring
ActionIdstring
Textstring
AttachmentIdsarray of integer
OrderedAttachmentIdsarray of object
ParentIdinteger (int32)
RecipientIdinteger (int32)
IsPinnedboolean
IsPrivateboolean
Topicsarray of string
LocalTimestampstring (date-time)
Originstring
Platformstring
AdditionalDataobject

Responses

Status Body
200 object
201 object
400
403
500

POST /api/feed/{id}/replies

Create a reply.

Parameters

Name In Type Required Description
id path integer (int32) Yes

Request body

{
  "PostAt": "2024-01-01T00:00:00Z",
  "FeedSortOrder": "Recent",
  "FeedPosition": 0,
  "FeedScore": 0,
  "PinAt": {
    "Start": "2024-01-01T00:00:00Z",
    "End": "2024-01-01T00:00:00Z"
  },
  "EntityTypeId": "Global",
  "ActionId": "Person",
  "Text": "string",
  "AttachmentIds": [
    0
  ],
  "OrderedAttachmentIds": [
    {
      "AttachmentId": 0,
      "isTemp": true
    }
  ],
  "ParentId": 0,
  "RecipientId": 0,
  "IsPinned": true,
  "IsPrivate": true,
  "Topics": [
    "string"
  ],
  "LocalTimestamp": "2024-01-01T00:00:00Z",
  "Origin": "Unknown",
  "Platform": "Unknown",
  "AdditionalData": {}
}
FieldType
PostAtstring (date-time)
FeedSortOrderstring
FeedPositioninteger (int32)
FeedScorenumber (double)
PinAtobject
EntityTypeIdstring
ActionIdstring
Textstring
AttachmentIdsarray of integer
OrderedAttachmentIdsarray of object
ParentIdinteger (int32)
RecipientIdinteger (int32)
IsPinnedboolean
IsPrivateboolean
Topicsarray of string
LocalTimestampstring (date-time)
Originstring
Platformstring
AdditionalDataobject

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "IsEdited": true,
    "ApprovalStatus": "ApprovalNotRequired",
    "RejectionReason": "string",
    "PostAt": "2024-01-01T00:00:00Z",
    "PopularityScores": {
      "TrendingScore": 0,
      "PostEngagementScore": 0,
      "AuthorScore": 0,
      "AuthorInfluenceScore": 0,
      "CombinedScore": 0
    },
    "Score": 0,
    "PinAt": {
      "Start": "2024-01-01T00:00:00Z",
      "End": "2024-01-01T00:00:00Z"
    },
    "Id": 0,
    "Entity": {
      "Type": "string",
      "TypeId": 0
    },
    "IsPrivate": true,
    "ParentId": 0,
    "IsPinned": true,
    "DateTimeOccurred": "2024-01-01T00:00:00Z",
    "Stats": {
      "IsLikedByMe": true,
      "MyReaction": 0,
      "Likes": {
        "Count": 0,
        "PreviewItems": [
          {
            "FeedLikeAdditionalData": {},
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        ]
      },
      "Comments": {
        "Count": 0,
        "PreviewItems": [
          {
            "Id": 0,
            "DateTimeOccurred": "2024-01-01T00:00:00Z",
            "Data": "string",
            "Person": {},
            "Translation": {},
            "LikeCount": 0,
            "CanDelete": true,
            "CanLike": true,
            "IsLikedByMe": true,
            "Files": [
              {}
            ],
            "FeedCommentAdditionalData": {},
            "MyReaction": 0,
            "Reactions": [
              {}
            ],
            "SupportedActions": {},
            "PermittedActions": {},
            "IsEdited": true
          }
        ]
      },
      "Reactions": [
        {
          "ReactionTypeId": 0,
          "Actor": {
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        }
      ]
    },
    "Topics": [
      {
        "Id": 0,
        "Name": "string"
      }
    ],
    "Notification": {
      "Text": "string",
      "Html": "string"
    },
    "Action": {
      "Verb": "string",
      "Type": "string",
      "TypeId": 0,
      "Text": "string",
      "Html": "string",
      "SubType": "string"
    },
    "Actor": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string"
    },
    "Recipient": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string",
      "TypeId": 0,
      "Type": "string"
    },
    "Location": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "SecondaryLocation": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "Translation": {
      "OfferTranslation": true,
      "TargetLanguageCode": "string",
      "IsTargetLanguageRtl": true,
      "SourceLanguageCode": "string",
      "IsSourceLanguageRtl": true
    },
    "Files": [
      {
        "AttachmentId": 0,
        "FileGuid": "string",
        "Path": "string",
        "Title": "string",
        "Size": 0,
        "Extension": "string",
        "SortOrder": 0
      }
    ],
    "TargetMetadata": "string",
    "SectionId": 0,
    "TopLevelSectionId": 0,
    "TopLevelSectionType": "string",
    "TopLevelSectionName": "string",
    "ImpressionsCount": 0,
    "IsPublishedAsOrganisation": true,
    "AdditionalData": {},
    "SupportedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    },
    "PermittedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

POST /api/feed/{id}/report

Report the feed.

Parameters

Name In Type Required Description
id path integer (int32) Yes

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": true,
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemboolean
ErrorMessagesarray of string

PATCH /api/feed/{id}

Update a single feed item

Parameters

Name In Type Required Description
id path integer (int32) Yes

Request body

{
  "PostAt": "2024-01-01T00:00:00Z",
  "PinAt": {
    "Start": "2024-01-01T00:00:00Z",
    "End": "2024-01-01T00:00:00Z"
  },
  "UpdateReason": "string",
  "Text": "string",
  "Topics": [
    "string"
  ],
  "OrderedAttachmentIds": [
    {
      "AttachmentId": 0,
      "isTemp": true
    }
  ],
  "IsPrivate": true,
  "AdditionalData": {}
}
FieldType
PostAtstring (date-time)
PinAtobject
UpdateReasonstring
Textstring
Topicsarray of string
OrderedAttachmentIdsarray of object
IsPrivateboolean
AdditionalDataobject

Responses

Status Body
200 See below
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "IsEdited": true,
    "ApprovalStatus": "ApprovalNotRequired",
    "RejectionReason": "string",
    "PostAt": "2024-01-01T00:00:00Z",
    "PopularityScores": {
      "TrendingScore": 0,
      "PostEngagementScore": 0,
      "AuthorScore": 0,
      "AuthorInfluenceScore": 0,
      "CombinedScore": 0
    },
    "Score": 0,
    "PinAt": {
      "Start": "2024-01-01T00:00:00Z",
      "End": "2024-01-01T00:00:00Z"
    },
    "Id": 0,
    "Entity": {
      "Type": "string",
      "TypeId": 0
    },
    "IsPrivate": true,
    "ParentId": 0,
    "IsPinned": true,
    "DateTimeOccurred": "2024-01-01T00:00:00Z",
    "Stats": {
      "IsLikedByMe": true,
      "MyReaction": 0,
      "Likes": {
        "Count": 0,
        "PreviewItems": [
          {
            "FeedLikeAdditionalData": {},
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        ]
      },
      "Comments": {
        "Count": 0,
        "PreviewItems": [
          {
            "Id": 0,
            "DateTimeOccurred": "2024-01-01T00:00:00Z",
            "Data": "string",
            "Person": {},
            "Translation": {},
            "LikeCount": 0,
            "CanDelete": true,
            "CanLike": true,
            "IsLikedByMe": true,
            "Files": [
              {}
            ],
            "FeedCommentAdditionalData": {},
            "MyReaction": 0,
            "Reactions": [
              {}
            ],
            "SupportedActions": {},
            "PermittedActions": {},
            "IsEdited": true
          }
        ]
      },
      "Reactions": [
        {
          "ReactionTypeId": 0,
          "Actor": {
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        }
      ]
    },
    "Topics": [
      {
        "Id": 0,
        "Name": "string"
      }
    ],
    "Notification": {
      "Text": "string",
      "Html": "string"
    },
    "Action": {
      "Verb": "string",
      "Type": "string",
      "TypeId": 0,
      "Text": "string",
      "Html": "string",
      "SubType": "string"
    },
    "Actor": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string"
    },
    "Recipient": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string",
      "TypeId": 0,
      "Type": "string"
    },
    "Location": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "SecondaryLocation": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "Translation": {
      "OfferTranslation": true,
      "TargetLanguageCode": "string",
      "IsTargetLanguageRtl": true,
      "SourceLanguageCode": "string",
      "IsSourceLanguageRtl": true
    },
    "Files": [
      {
        "AttachmentId": 0,
        "FileGuid": "string",
        "Path": "string",
        "Title": "string",
        "Size": 0,
        "Extension": "string",
        "SortOrder": 0
      }
    ],
    "TargetMetadata": "string",
    "SectionId": 0,
    "TopLevelSectionId": 0,
    "TopLevelSectionType": "string",
    "TopLevelSectionName": "string",
    "ImpressionsCount": 0,
    "IsPublishedAsOrganisation": true,
    "AdditionalData": {},
    "SupportedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    },
    "PermittedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

PATCH /api/feed/{id}/pin

Pin or unpin the feed.

Parameters

Name In Type Required Description
id path integer (int32) Yes

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "IsPinned": true,
    "PinAt": {
      "Start": "2024-01-01T00:00:00Z",
      "End": "2024-01-01T00:00:00Z"
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

POST /api/feed/attachments

Create an attachment.

Responses

Status Body
100
200 See below
400
413
415
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "Filename": "string",
    "InputStream": {
      "__identity": {}
    },
    "PartIndex": 0,
    "TotalParts": 0,
    "OriginalFilename": "string",
    "FileUuid": "string",
    "FileSize": 0,
    "FileUploadAttachment": {
      "AttachmentId": 0,
      "FileGuid": "string",
      "Path": "string",
      "Title": "string",
      "Size": 0,
      "Extension": "string",
      "SortOrder": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

POST /api/feed/attachments/url-based

Upload an attachment from a URL.

Request body

{
  "Url": "string",
  "FileName": "string"
}
FieldType
Urlstring
FileNamestring

Responses

Status Body
100
200 See below
400
413
415
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "Filename": "string",
    "InputStream": {
      "__identity": {}
    },
    "PartIndex": 0,
    "TotalParts": 0,
    "OriginalFilename": "string",
    "FileUuid": "string",
    "FileSize": 0,
    "FileUploadAttachment": {
      "AttachmentId": 0,
      "FileGuid": "string",
      "Path": "string",
      "Title": "string",
      "Size": 0,
      "Extension": "string",
      "SortOrder": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

GET /api/feed/scheduled-posts

List scheduled posts.

Parameters

Name In Type Required Description
q query string No
offset query integer (int32) No
limit query integer (int32) No
entityTypes query string No
entityId query integer (int32) No
onlyFollowed query boolean No
hashtags query string No
topics query string No
excludedTypes query string No
includePinned query boolean No
order query string No Allowed values: Desc, Asc

Responses

Status Body
200 object

GET /api/feed/scheduled-posts/count

Get the number of scheduled posts.

Responses

Status Body
200 object

GET /api/feed/{id}/translations/{languageCode}

Get a translation by ID.

Parameters

Name In Type Required Description
id path integer (int32) Yes
languageCode path string Yes

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "IsEdited": true,
    "ApprovalStatus": "ApprovalNotRequired",
    "RejectionReason": "string",
    "PostAt": "2024-01-01T00:00:00Z",
    "PopularityScores": {
      "TrendingScore": 0,
      "PostEngagementScore": 0,
      "AuthorScore": 0,
      "AuthorInfluenceScore": 0,
      "CombinedScore": 0
    },
    "Score": 0,
    "PinAt": {
      "Start": "2024-01-01T00:00:00Z",
      "End": "2024-01-01T00:00:00Z"
    },
    "Id": 0,
    "Entity": {
      "Type": "string",
      "TypeId": 0
    },
    "IsPrivate": true,
    "ParentId": 0,
    "IsPinned": true,
    "DateTimeOccurred": "2024-01-01T00:00:00Z",
    "Stats": {
      "IsLikedByMe": true,
      "MyReaction": 0,
      "Likes": {
        "Count": 0,
        "PreviewItems": [
          {
            "FeedLikeAdditionalData": {},
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        ]
      },
      "Comments": {
        "Count": 0,
        "PreviewItems": [
          {
            "Id": 0,
            "DateTimeOccurred": "2024-01-01T00:00:00Z",
            "Data": "string",
            "Person": {},
            "Translation": {},
            "LikeCount": 0,
            "CanDelete": true,
            "CanLike": true,
            "IsLikedByMe": true,
            "Files": [
              {}
            ],
            "FeedCommentAdditionalData": {},
            "MyReaction": 0,
            "Reactions": [
              {}
            ],
            "SupportedActions": {},
            "PermittedActions": {},
            "IsEdited": true
          }
        ]
      },
      "Reactions": [
        {
          "ReactionTypeId": 0,
          "Actor": {
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        }
      ]
    },
    "Topics": [
      {
        "Id": 0,
        "Name": "string"
      }
    ],
    "Notification": {
      "Text": "string",
      "Html": "string"
    },
    "Action": {
      "Verb": "string",
      "Type": "string",
      "TypeId": 0,
      "Text": "string",
      "Html": "string",
      "SubType": "string"
    },
    "Actor": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string"
    },
    "Recipient": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string",
      "TypeId": 0,
      "Type": "string"
    },
    "Location": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "SecondaryLocation": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "Translation": {
      "OfferTranslation": true,
      "TargetLanguageCode": "string",
      "IsTargetLanguageRtl": true,
      "SourceLanguageCode": "string",
      "IsSourceLanguageRtl": true
    },
    "Files": [
      {
        "AttachmentId": 0,
        "FileGuid": "string",
        "Path": "string",
        "Title": "string",
        "Size": 0,
        "Extension": "string",
        "SortOrder": 0
      }
    ],
    "TargetMetadata": "string",
    "SectionId": 0,
    "TopLevelSectionId": 0,
    "TopLevelSectionType": "string",
    "TopLevelSectionName": "string",
    "ImpressionsCount": 0,
    "IsPublishedAsOrganisation": true,
    "AdditionalData": {},
    "SupportedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    },
    "PermittedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string
Section: REST API